org.vertx.java.core.logging.impl

## Class VertxLoggerFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.vertx.java.core.logging.impl.VertxLoggerFormatter

    public class VertxLoggerFormatter
    extends java.util.logging.Formatter

### Constructor Summary

Constructors
Constructor and Description
`VertxLoggerFormatter()`

### Method Summary

Methods
`java.lang.String` `format(java.util.logging.LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VertxLoggerFormatter

    public VertxLoggerFormatter()

### Method Detail

#### format

    public java.lang.String format(java.util.logging.LogRecord record)

Specified by:
  `format` in class `java.util.logging.Formatter`